%global versionmajor 4
%global versionminor 1
%global versionsuffix 1

%global wpcapexamples %{_docdir}/%{name}/examples
%global wpcapdoc %{_docdir}/%{name}

Name:           mingw32-wpcap
Version:        %{versionmajor}.%{versionminor}.final%{versionsuffix}
Release:        1%{?dist}
Summary:        MinGW user-level packet capture

Group:          Development/Libraries
License:        BSD with advertising
URL:            http://www.winpcap.org/
Source0:        http://www.winpcap.org/install/bin/WpcapSrc_%{versionmajor}_%{versionminor}_%{versionsuffix}.zip
Source1:        wpcap.pc
Patch0:         wpcap.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  doxygen
BuildRequires:  unzip
BuildRequires:  dos2unix
BuildRequires:  bison
BuildRequires:  flex
Requires:       mingw32-filesystem >= 50

%description
MinGW Windows pcap library.

%package examples
Summary:        Example source code for MinGW pcap
Group:          Development/Libraries

%description examples
This package contains examples on the usage of the Windows pcap
library.

%package docs
Summary:        MinGW pcap documentation
Group:          Development/Libraries

%description docs
This package contains the Windows pcap library documentation.

%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}

%define __debug_install_post %{_mingw32_debug_install_post}

%{_mingw32_debug_package}

%prep
%setup -q -n winpcap

%patch0 -p0 -b .build

find . -type f -print0 |xargs -0 dos2unix
pushd wpcap/libpcap/Win32/Include/
mv ip6_misc.h IP6_misc.h
popd

%build
pushd packetNtx/Dll/Project
make -f GNUmakefile CC=i686-pc-mingw32-gcc YACC=bison %{?_smp_mflags} 
popd
pushd wpcap/PRJ
make -f GNUmakefile CC=i686-pc-mingw32-gcc YACC=bison %{?_smp_mflags} 
popd
pushd dox/prj
doxygen winpcap_noc.dox
popd


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_mingw32_bindir}
install -d $RPM_BUILD_ROOT/%{_mingw32_libdir}/pkgconfig
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_mingw32_libdir}/pkgconfig
install -m0644 packetNtx/Dll/Project/libpacket.a $RPM_BUILD_ROOT/%{_mingw32_libdir}/libpacket.dll.a
install -m0644 packetNtx/Dll/Project/Packet.dll $RPM_BUILD_ROOT/%{_mingw32_bindir}/packet.dll
install -m0644 wpcap/lib/libwpcap.a $RPM_BUILD_ROOT/%{_mingw32_libdir}/libwpcap.dll.a
install -m0644 wpcap/PRJ/wpcap.dll $RPM_BUILD_ROOT/%{_mingw32_bindir}
install -m0644 packetNtx/Dll/Packet.def $RPM_BUILD_ROOT/%{_mingw32_libdir}/packet.def
install -m0644 wpcap/PRJ/WPCAP.DEF $RPM_BUILD_ROOT/%{_mingw32_libdir}/wpcap.def
install -d $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/pcap
install -m0644 wpcap/libpcap/pcap/*.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/pcap
install -m0644 wpcap/libpcap/pcap.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 wpcap/libpcap/pcap-int.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 wpcap/libpcap/pcap-bpf.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 wpcap/libpcap/pcap-namedb.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 wpcap/libpcap/remote-ext.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 wpcap/libpcap/pcap-stdinc.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 wpcap/Win32-Extensions/Win32-Extensions.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 wpcap/libpcap/Win32/Include/bittypes.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 wpcap/libpcap/Win32/Include/IP6_misc.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 wpcap/libpcap/Win32/Include/Gnuc.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -m0644 Common/Packet32.h $RPM_BUILD_ROOT/%{_mingw32_includedir}/wpcap/
install -d $RPM_BUILD_ROOT/%{wpcapdoc}/html
install -m0644 dox/WinPcap_docs.html $RPM_BUILD_ROOT/%{wpcapdoc}/
install -m0644 dox/prj/docs/* $RPM_BUILD_ROOT/%{wpcapdoc}/html
install -m0644 dox/pics/*.gif $RPM_BUILD_ROOT/%{wpcapdoc}/html
install -m0644 dox/*.gif $RPM_BUILD_ROOT/%{wpcapdoc}/html
install -d $RPM_BUILD_ROOT/%{wpcapexamples}
install -d $RPM_BUILD_ROOT/%{wpcapexamples}
cp -r Examples $RPM_BUILD_ROOT/%{wpcapexamples}/remote
cp -r Examples-pcap $RPM_BUILD_ROOT/%{wpcapexamples}/pcap
rm -rf $RPM_BUILD_ROOT/%{wpcapexamples}/remote/NetMeter
rm -rf $RPM_BUILD_ROOT/%{wpcapexamples}/remote/kdump
rm -rf $RPM_BUILD_ROOT/%{wpcapexamples}/pcap/winpcap_stress
rm -rf $RPM_BUILD_ROOT/%{wpcapexamples}/pcap/stats


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc wpcap/libpcap/LICENSE
%{_mingw32_libdir}/pkgconfig/wpcap.pc
%{_mingw32_bindir}/packet.dll
%{_mingw32_bindir}/wpcap.dll
%{_mingw32_libdir}/libpacket.dll.a
%{_mingw32_libdir}/libwpcap.dll.a
%{_mingw32_libdir}/packet.def
%{_mingw32_libdir}/wpcap.def
%{_mingw32_includedir}/wpcap

%files docs
%defattr(-,root,root,-)
%{wpcapdoc}/WinPcap_docs.html
%{wpcapdoc}/html

%files examples
%defattr(-,root,root,-)
%{wpcapexamples}

%changelog
* Tue Nov 10 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.1.final1-1
- update to 4.1.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.beta5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.1.beta5-8
- fix BR

* Wed Jul 15 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.1.beta5-7
- fix BR

* Tue Jun 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.1.beta5-6
- fix debuginfo package generation

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.1.beta5-5
- add debuginfo packages

* Fri Jun 12 2009 Richard W.M. Jones <rjones@redhat.com> - 4.1.beta5-4
- Doesn't work with byacc, needs bison.
- Some minor cleanups to the spec file.

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.1.beta5-3
- replace %%define with %%global

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.1.beta5-2
- fix BR
- add license file
- rename implibs

* Mon Feb 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.1.beta5-1
- initial package
